summaryrefslogtreecommitdiffstats
path: root/jjb/opnfv
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/opnfv')
-rw-r--r--jjb/opnfv/opnfv-docker.sh93
-rw-r--r--jjb/opnfv/opnfv-docker.yml76
-rw-r--r--jjb/opnfv/opnfv-docs.yml7
3 files changed, 171 insertions, 5 deletions
diff --git a/jjb/opnfv/opnfv-docker.sh b/jjb/opnfv/opnfv-docker.sh
new file mode 100644
index 000000000..2b42938c0
--- /dev/null
+++ b/jjb/opnfv/opnfv-docker.sh
@@ -0,0 +1,93 @@
+#!/bin/bash
+set -o errexit
+set -o nounset
+set -o pipefail
+
+
+echo "Starting opnfv-docker for $DOCKER_REPO_NAME ..."
+echo "--------------------------------------------------------"
+echo
+
+
+# Remove previous running containers if exist
+if [[ ! -z $(docker ps -a | grep $DOCKER_REPO_NAME) ]]; then
+ echo "Removing existing $DOCKER_REPO_NAME containers..."
+ docker ps | grep $DOCKER_REPO_NAME | awk '{{print $1}}' | xargs docker stop
+ docker ps -a | grep $DOCKER_REPO_NAME | awk '{{print $1}}' | xargs docker rm
+fi
+
+
+# Remove existing images if exist
+if [[ ! -z $(docker images | grep $DOCKER_REPO_NAME) ]]; then
+ echo "Docker images to remove:"
+ docker images | head -1 && docker images | grep $DOCKER_REPO_NAME
+ image_tags=($(docker images | grep $DOCKER_REPO_NAME | awk '{{print $2}}'))
+ for tag in "${{image_tags[@]}}"; do
+ echo "Removing docker image $DOCKER_REPO_NAME:$tag..."
+ docker rmi $DOCKER_REPO_NAME:$tag
+ done
+fi
+
+# If we just want to update the latest_stable image
+if [[ "$UPDATE_LATEST_STABLE" == "true" ]]; then
+ echo "Pulling $DOCKER_REPO_NAME:$STABLE_TAG ..."
+ docker pull $DOCKER_REPO_NAME:$STABLE_TAG
+ if [[ $? -ne 0 ]]; then
+ echo "ERROR: The image $DOCKER_REPO_NAME with tag $STABLE_TAG does not exist."
+ exit 1
+ fi
+ docker tag $DOCKER_REPO_NAME:$STABLE_TAG $DOCKER_REPO_NAME:latest_stable
+ echo "Pushing $DOCKER_REPO_NAME:latest_stable ..."
+ docker push $DOCKER_REPO_NAME:latest_stable
+ exit 0
+fi
+
+
+# Get tag version
+cd $WORKSPACE
+git clone https://gerrit.opnfv.org/gerrit/releng
+
+DOCKER_TAG=$($WORKSPACE/releng/utils/calculate_version.sh -t docker \
+ -n $DOCKER_REPO_NAME)
+
+ret_val=$?
+if [ $ret_val -ne 0 ]; then
+ echo "Error retrieving the version tag."
+ exit 1
+else
+ echo "Tag version to be build and pushed: $DOCKER_TAG"
+fi
+
+
+# cd to directory where Dockerfile is located
+if [[ "$DOCKER_REPO_NAME" == "opnfv/functest" ]]; then
+ cd $WORKSPACE/docker
+elif [[ "$DOCKER_REPO_NAME" == "opnfv/yardstick" ]]; then
+ cd $WORKSPACE/ci/docker/yardstick-ci
+else
+ echo "ERROR: DOCKER_REPO_NAME parameter not valid: $DOCKER_REPO_NAME"
+ exit 1
+fi
+
+# Start the build
+echo "Building docker image: $DOCKER_REPO_NAME:$DOCKER_TAG..."
+
+docker build -t $DOCKER_REPO_NAME:$DOCKER_TAG .
+echo "Creating tag 'latest'..."
+docker tag $DOCKER_REPO_NAME:$DOCKER_TAG $DOCKER_REPO_NAME:latest
+
+# list the images
+echo "Available images are:"
+docker images
+
+# Push image to Dockerhub
+if [[ "$PUSH_IMAGE" == "true" ]]; then
+ echo "Pushing $DOCKER_REPO_NAME:$DOCKER_TAG to the docker registry..."
+ echo "--------------------------------------------------------"
+ echo
+ # Push to the Dockerhub repository
+ docker push $DOCKER_REPO_NAME:$DOCKER_TAG
+
+ echo "Updating $DOCKER_REPO_NAME:latest to the docker registry..."
+ docker push $DOCKER_REPO_NAME:latest
+fi
diff --git a/jjb/opnfv/opnfv-docker.yml b/jjb/opnfv/opnfv-docker.yml
new file mode 100644
index 000000000..dfff050a9
--- /dev/null
+++ b/jjb/opnfv/opnfv-docker.yml
@@ -0,0 +1,76 @@
+##############################################
+# job configuration for docker build and push
+##############################################
+
+- project:
+
+ name: opnfv-docker
+
+ project:
+ - 'functest'
+ - 'yardstick'
+
+ jobs:
+ - '{project}-docker-build-push-{stream}'
+
+ stream:
+ - master:
+ branch: 'master'
+
+########################
+# job templates
+########################
+- job-template:
+ name: '{project}-docker-build-push-{stream}'
+
+ project-type: freestyle
+
+ node: ericsson-build
+
+ disabled: false
+
+ parameters:
+ - project-parameter:
+ project: '{project}'
+ - string:
+ name: GIT_BASE
+ default: "https://gerrit.opnfv.org/gerrit/$PROJECT"
+ description: "Used for overriding the GIT URL coming from Global Jenkins configuration in case if the stuff is done on none-LF HW."
+ - string:
+ name: PUSH_IMAGE
+ default: "true"
+ description: "To enable/disable pushing the image to Dockerhub."
+ - string:
+ name: BASE_VERSION
+ default: "brahmaputra.0"
+ description: "Base version to be used."
+ - string:
+ name: DOCKER_REPO_NAME
+ default: "opnfv/{project}"
+ description: "Dockerhub repo to be pushed to."
+ - string:
+ name: UPDATE_LATEST_STABLE
+ default: "false"
+ description: "This will update the latest_stable image only."
+ - string:
+ name: STABLE_TAG
+ description: "If above option is true, this is the tag to be pulled."
+
+ scm:
+ - git-scm:
+ credentials-id: '{ssh-credentials}'
+ refspec: ''
+ branch: '{branch}'
+
+ logrotate:
+ daysToKeep: '{build-days-to-keep}'
+ numToKeep: '{build-num-to-keep}'
+ artifactDaysToKeep: '{build-artifact-days-to-keep}'
+ artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+ builders:
+ - shell:
+ !include-raw ./opnfv-docker.sh
+
+ triggers:
+ - pollscm: "*/30 * * * *"
diff --git a/jjb/opnfv/opnfv-docs.yml b/jjb/opnfv/opnfv-docs.yml
index c6b6f8d8f..0cc9420db 100644
--- a/jjb/opnfv/opnfv-docs.yml
+++ b/jjb/opnfv/opnfv-docs.yml
@@ -74,8 +74,7 @@
pattern: 'docs/**'
builders:
- - build-html-and-pdf-docs-output
- - upload-under-review-docs-to-opnfv-artifacts
+ - upload-review-docs
- job-template:
name: 'opnfv-docs-merge'
@@ -123,6 +122,4 @@
pattern: 'docs/**'
builders:
- - build-html-and-pdf-docs-output
- - upload-merged-docs-to-opnfv-artifacts
- - remove-old-docs-from-opnfv-artifacts
+ - upload-merged-docs